## mopidy-podcast 1.1.2

=== docs/requirements.txt ===
Sphinx >= 1.0
Mopidy >= 0.18
glib

## mopidy-podcast 1.1.1

=== debian/changelog ===
mopidy-podcast (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #794503)

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 31 Jul 2015 20:45:49 +0200

=== debian/control ===
Source: mopidy-podcast
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends: debhelper (>= 9),
               dh-python,
               mopidy (>= 1.0.8-2),
               python-all (>= 2.7),
               python-cachetools,
               python-setuptools,
               python-sphinx,
               python-uritools,
Standards-Version: 3.9.6
Homepage: https://github.com/tkem/mopidy-podcast
Vcs-Git: git://github.com/jodal/mopidy-podcast.git
Vcs-Browser: https://github.com/jodal/mopidy-podcast
X-Python-Version: >= 2.7

Package: mopidy-podcast
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: Mopidy extension for searching and browsing podcasts
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for searching and browsing podcasts.
 To be useful, it must be combined with extensions that provide podcast
 content, like mopidy-podcast-gpodder and mopidy-podcast-itunes.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installdocs:
	make -C docs/ clean html
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/ clean

## mopidy-podcast 1.1.2

=== debian/changelog ===
mopidy-podcast (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Run tests during build.
  * Register docs in doc-base.

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 Nov 2015 21:00:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                mopidy (>= 1.0.8-2),
                python-all (>= 2.7),
                python-cachetools,
+               python-mock,
+               python-nose,
                python-setuptools,
                python-sphinx,
                python-uritools,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_DISABLE=test
+export PYBUILD_NAME=mopidy-podcast
+export PYBUILD_TEST_NOSE=1
+export PYBUILD_TEST_ARGS={dir}/tests/
 
 %:
 	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

## mopidy-podcast 2.0.0

=== debian/changelog ===
mopidy-podcast (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Migrate to git-dpm, remove gbp config
  * debian/clean
    - Clean .cache/, *.egg-info/* and dist/*
  * debian/copyright
    - Update my email address
    - Update copyright years
  * debian/control
    - Update my email address
    - Update Vcs-Git and Vcs-Browser to point to Alioth
    - Bump Standards-Version to 3.9.8. No changes required
    - Add Breaks on mopidy-podcast-gpodder << 2.0
    - Replace python-nose with python-pytest
  * debian/dirs
    - Create /etc/mopidy/podcast
  * debian/rules
    - Switch test runner from nose to pytest

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 08 Aug 2016 00:08:11 +0200

## mopidy-podcast 2.0.1

=== debian/changelog ===
mopidy-podcast (2.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #833774)

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 11 Aug 2016 21:42:17 +0200

=== debian/control ===
Source: mopidy-podcast
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               mopidy (>= 1.0.8-2),
               python-all (>= 2.7),
               python-cachetools,
               python-mock,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-uritools,
Standards-Version: 3.9.8
Homepage: https://github.com/tkem/mopidy-podcast
Vcs-Git: https://anonscm.debian.org/git/pkg-mopidy/mopidy-podcast.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-mopidy/mopidy-podcast.git
X-Python-Version: >= 2.7

Package: mopidy-podcast
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: mopidy-podcast-gpodder (<< 2.0)
Description: Mopidy extension for searching and browsing podcasts
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for searching and browsing podcasts.
 To be useful, it must be combined with extensions that provide podcast
 content, like mopidy-podcast-gpodder and mopidy-podcast-itunes.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=mopidy-podcast
-export PYBUILD_TEST_NOSE=1
+export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS={dir}/tests/
 
 %:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Mopidy-Podcast/Mopidy-Podcast-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mopidy-podcast 2.0.2

=== debian/changelog ===
mopidy-podcast (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.1.4, no changes required
    - Set Vcs-* to salsa.debian.org
    - Require debhelper 10
    - Remove version range on python, not needed since oldoldstable
    - Use python3-sphinx instead of python-sphinx to build docs
  * debian/copyright
    - Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 15 Apr 2018 02:11:46 +0200

=== debian/control ===
Source: mopidy-podcast
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               mopidy (>= 1.0.8-2),
               python,
               python-cachetools,
               python-mock,
               python-pytest,
               python-setuptools,
               python-uritools,
               python3-sphinx,
Standards-Version: 4.1.4
Homepage: https://github.com/tkem/mopidy-podcast
Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-podcast.git
Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-podcast
X-Python-Version: >= 2.7

Package: mopidy-podcast
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: mopidy-podcast-gpodder (<< 2.0),
Description: Mopidy extension for searching and browsing podcasts
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for searching and browsing podcasts.
 To be useful, it must be combined with extensions that provide podcast
 content, like mopidy-podcast-gpodder and mopidy-podcast-itunes.

## mopidy-podcast 2.0.3

=== debian/changelog ===
mopidy-podcast (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/clean
    - Remove custom clean rules
  * debian/control
    - Remove redundant X-Python-Version
    - Bump Standards-Version to 4.3.0, no changes required
    - Add Built-Using on Sphinx
  * debian/rules
    - Explicitly use Python 3 when building docs with Sphinx

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 18 Feb 2019 22:48:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                python-setuptools,
                python-uritools,
                python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/tkem/mopidy-podcast
 Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-podcast.git
 Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-podcast
-X-Python-Version: >= 2.7
 
 Package: mopidy-podcast
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using},
 Breaks: mopidy-podcast-gpodder (<< 2.0),
 Description: Mopidy extension for searching and browsing podcasts
  Mopidy is a music server which can play music from multiple sources, like your

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,11 @@
 %:
 	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
+
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst
-
-override_dh_installdocs:
-	make -C docs/ clean html
-	dh_installdocs
-
-override_dh_auto_clean:
-	dh_auto_clean
-	make -C docs/ clean

## mopidy-podcast 3.0.0

=== debian/changelog ===
mopidy-podcast (3.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Stein Magnus Jodal ]
  * d/watch: Use HTTPS
  * d/control: Set Rules-Requires-Root to no
  * d/lintian-overrides: Remove unused overrides
  * d/control: Fix typo

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 26 Dec 2020 20:25:26 +0100

mopidy-podcast (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Switch from Python 2 to 3 (Closes: #937077)
  * Bump debhelper from 10 to 12
  * Disable tests because of pkg_resurces usage
  * d/control: Bump Standards-Version to 4.4.1, no changes
  * d/control: Require mopidy >= 3
  * d/control: Update Description
  * d/copyright: Update copyright years
  * d/copyright: Use HTTPS for the copyright spec
  * d/rules: Update changelog name

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 26 Dec 2019 15:56:22 +0100

=== debian/control ===
Source: mopidy-podcast
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               mopidy (>= 3),
               python3,
               python3-cachetools,
               python3-setuptools,
               python3-uritools,
               python3-sphinx,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/tkem/mopidy-podcast
Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-podcast.git
Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-podcast

Package: mopidy-podcast
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Breaks: mopidy-podcast-gpodder (<< 2.0),
Description: Mopidy extension for searching and browsing podcasts
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension that lets you browse podcasts
 distributed as RSS feeds and play individual episodes in a variety of audio
 formats. Podcasts are mapped to albums, while podcast episodes are shown as
 tracks in Mopidy, with metadata converted to Mopidy's native data model where
 applicable. OPML 2.0 subscription lists and directories are also supported for
 multi-level browsing.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mopidy-Podcast/Mopidy-Podcast-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mopidy-podcast 3.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mopidy-Podcast.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mopidy-Podcast.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mopidy-Podcast"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mopidy-Podcast"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mopidy-podcast (3.0.1-2) unstable; urgency=medium

  * Team Upload
  * Patch-out usage of python3-pkg-resources (Closes: #1083492)
  * Add debian/salsa-ci.yml
  * Use dh-sequence-python3
  * Switch to debhelper-compat 13
  * Bump d/watch to v4
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

  [ Stein Magnus Jodal ]
  * Move package to Debian Python Team

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Jan 2026 21:05:44 +0100

mopidy-podcast (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.6.1

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 May 2022 12:17:48 +0200

=== debian/control ===
Source: mopidy-podcast
Section: sound
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stein Magnus Jodal <jodal@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mopidy (>= 3),
 python3,
 python3-cachetools,
 python3-setuptools,
 python3-sphinx,
 python3-uritools,
Standards-Version: 4.7.3
Homepage: https://github.com/tkem/mopidy-podcast
Vcs-Git: https://salsa.debian.org/python-team/packages/mopidy-podcast.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mopidy-podcast

Package: mopidy-podcast
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Breaks:
 mopidy-podcast-gpodder (<< 2.0),
Description: Mopidy extension for searching and browsing podcasts
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension that lets you browse podcasts
 distributed as RSS feeds and play individual episodes in a variety of audio
 formats. Podcasts are mapped to albums, while podcast episodes are shown as
 tracks in Mopidy, with metadata converted to Mopidy's native data model where
 applicable. OPML 2.0 subscription lists and directories are also supported for
 multi-level browsing.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mopidy-Podcast/Mopidy-Podcast-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
